net.sf.jasperreports.components.iconlabel

## Class IconLabelComponentFill

- java.lang.Object
- - net.sf.jasperreports.engine.component.BaseFillComponent
  - - net.sf.jasperreports.components.iconlabel.IconLabelComponentFill

- All Implemented Interfaces:
    ConditionalStyleAwareFillComponent, FillComponent, StretchableFillComponent, JRAlignment, JRBoxContainer, JRStyleContainer

      public class IconLabelComponentFill
      extends BaseFillComponent
      implements StretchableFillComponent, ConditionalStyleAwareFillComponent, JRBoxContainer, JRAlignment

  Version:
    $Id: TextInputComponentFill.java 5922 2013-02-19 11:03:27Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `elementId, fillContext, printElementOriginator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IconLabelComponentFill(IconLabelComponent iconLabelComponent, JRFillCloneFactory factory)`
    `IconLabelComponentFill(IconLabelComponent iconLabelComponent, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `copy(JRGenericPrintElement printElement)`
    `protected void` | `copy(JRPrintFrame printFrame)`
    `JRFillCloneable` | `createClone(JRFillCloneFactory factory)`
    `void` | `evaluate(byte evaluation)` Evaluates the fill component.
    `void` | `evaluateDelayedElement(JRPrintElement element, byte evaluation)` The default implementation throws `UnsupportedOperationException`.
    `JRPrintElement` | `fill()` Fills the component by creating a print element which will be included in the generated report.
    `void` | `fillHorizontal()`
    `void` | `fillVertical()`
    `java.awt.Color` | `getDefaultLineColor()`
    `JRDefaultStyleProvider` | `getDefaultStyleProvider()`
    `HorizontalAlignEnum` | `getHorizontalAlignmentValue()` Gets the text horizontal alignment.
    `protected IconLabelComponent` | `getIconLabelComponent()`
    `JRLineBox` | `getLineBox()`
    `HorizontalAlignEnum` | `getOwnHorizontalAlignmentValue()`
    `VerticalAlignEnum` | `getOwnVerticalAlignmentValue()`
    `JRStyle` | `getStyle()` Returns this object's style.
    `java.lang.String` | `getStyleNameReference()` Returns the name of an external style which is to be used by this object.
    `VerticalAlignEnum` | `getVerticalAlignmentValue()` Gets the text vertical alignment.
    `FillPrepareResult` | `prepare(int availableHeight)` Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
    `void` | `setConditionalStylesContainer(JRFillElementContainer conditionalStylesContainer)`
    `void` | `setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)` Sets the text horizontal alignment.
    `void` | `setStretchHeight(int stretchHeight)`
    `void` | `setVerticalAlignment(VerticalAlignEnum verticalAlignment)` Gets the text vertical alignment.

    - ### Methods inherited from class net.sf.jasperreports.engine.component.BaseFillComponent

      `deduplicate, evaluateExpression, initialize, rewind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IconLabelComponentFill

          public IconLabelComponentFill(IconLabelComponent iconLabelComponent,
                                JRFillObjectFactory factory)

    - #### IconLabelComponentFill

          public IconLabelComponentFill(IconLabelComponent iconLabelComponent,
                                JRFillCloneFactory factory)

  - ### Method Detail

    - #### getIconLabelComponent

          protected IconLabelComponent getIconLabelComponent()

    - #### evaluate

          public void evaluate(byte evaluation)
                        throws JRException

      Description copied from interface: `FillComponent`
      Evaluates the fill component.

      This method would evaluate the component expressions and store the results to be used in `FillComponent.fill()`.

      If the component needs to delay the evaluation of some of its expressions, it would call `FillContext.registerDelayedEvaluation(JRPrintElement, EvaluationTimeEnum, String)` to register a delayed evaluation print element, and perform the delayed evaluations on `FillComponent.evaluateDelayedElement(JRPrintElement, byte)`.

      Specified by:
        `evaluate` in interface `FillComponent`
      Parameters:
        `evaluation` - the evaluation type
      Throws:
        `JRException`
      See Also:
        `FillContext.evaluate(net.sf.jasperreports.engine.JRExpression, byte)`

    - #### fill

          public JRPrintElement fill()

      Description copied from interface: `FillComponent`
      Fills the component by creating a print element which will be included in the generated report.

      This method will get called only if `FillComponent.prepare(int)` returned a result that indicated that the component will print.

      Specified by:
        `fill` in interface `FillComponent`
      Returns:
        the print element generated by the component

    - #### fillHorizontal

          public void fillHorizontal()

    - #### fillVertical

          public void fillVertical()

    - #### setStretchHeight

          public void setStretchHeight(int stretchHeight)

      Specified by:
        `setStretchHeight` in interface `StretchableFillComponent`

    - #### setConditionalStylesContainer

          public void setConditionalStylesContainer(JRFillElementContainer conditionalStylesContainer)

      Specified by:
        `setConditionalStylesContainer` in interface `ConditionalStyleAwareFillComponent`

    - #### prepare

          public FillPrepareResult prepare(int availableHeight)

      Description copied from interface: `FillComponent`
      Prepares to fill the component by deciding whether the component will print, and how much vertical space it will require.
      Specified by:
        `prepare` in interface `FillComponent`
      Parameters:
        `availableHeight` - the amount of vertical space available for the component, starting from the top of the component element.
      Returns:
        the result of the preparation, which specifies whether the component will print and how much it will stretch vertically.

    - #### createClone

          public JRFillCloneable createClone(JRFillCloneFactory factory)

    - #### evaluateDelayedElement

          public void evaluateDelayedElement(JRPrintElement element,
                                    byte evaluation)
                                      throws JRException

      Description copied from class: `BaseFillComponent`
      The default implementation throws `UnsupportedOperationException`.

      If a component supports delayed evaluation, it needs to override this method.

      Specified by:
        `evaluateDelayedElement` in interface `FillComponent`
      Overrides:
        `evaluateDelayedElement` in class `BaseFillComponent`
      Parameters:
        `element` - the print element for which delayed evaluation has been registered
        `evaluation` - the evaluation type
      Throws:
        `JRException`
      See Also:
        `FillComponent.evaluate(byte)`

    - #### copy

          protected void copy(JRGenericPrintElement printElement)

    - #### copy

          protected void copy(JRPrintFrame printFrame)

    - #### getDefaultLineColor

          public java.awt.Color getDefaultLineColor()

      Specified by:
        `getDefaultLineColor` in interface `JRBoxContainer`

    - #### getDefaultStyleProvider

          public JRDefaultStyleProvider getDefaultStyleProvider()

      Specified by:
        `getDefaultStyleProvider` in interface `JRStyleContainer`

    - #### getStyle

          public JRStyle getStyle()

      Description copied from interface: `JRStyleContainer`
      Returns this object's style.
      Specified by:
        `getStyle` in interface `JRStyleContainer`
      Returns:
        this object's style

    - #### getStyleNameReference

          public java.lang.String getStyleNameReference()

      Description copied from interface: `JRStyleContainer`
      Returns the name of an external style which is to be used by this object.

      External styles are defined in `templates` and are resolved at fill time. This attribute is only effective if no direct style (as returned by `getStyle()` is specified for this object.
      Specified by:
        `getStyleNameReference` in interface `JRStyleContainer`
      Returns:
        the name of an external style

    - #### getLineBox

          public JRLineBox getLineBox()

      Specified by:
        `getLineBox` in interface `JRBoxContainer`

    - #### getHorizontalAlignmentValue

          public HorizontalAlignEnum getHorizontalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text horizontal alignment.
      Specified by:
        `getHorizontalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getOwnHorizontalAlignmentValue

          public HorizontalAlignEnum getOwnHorizontalAlignmentValue()

      Specified by:
        `getOwnHorizontalAlignmentValue` in interface `JRAlignment`

    - #### setHorizontalAlignment

          public void setHorizontalAlignment(HorizontalAlignEnum horizontalAlignment)

      Description copied from interface: `JRAlignment`
      Sets the text horizontal alignment.
      Specified by:
        `setHorizontalAlignment` in interface `JRAlignment`
      Parameters:
        `horizontalAlignment` - a value representing one of the horizontal alignment constants in `HorizontalAlignEnum`

    - #### getVerticalAlignmentValue

          public VerticalAlignEnum getVerticalAlignmentValue()

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `getVerticalAlignmentValue` in interface `JRAlignment`
      Returns:
        a value representing one of the vertical alignment constants in `VerticalAlignEnum`

    - #### getOwnVerticalAlignmentValue

          public VerticalAlignEnum getOwnVerticalAlignmentValue()

      Specified by:
        `getOwnVerticalAlignmentValue` in interface `JRAlignment`

    - #### setVerticalAlignment

          public void setVerticalAlignment(VerticalAlignEnum verticalAlignment)

      Description copied from interface: `JRAlignment`
      Gets the text vertical alignment.
      Specified by:
        `setVerticalAlignment` in interface `JRAlignment`
      Parameters:
        `verticalAlignment` - a value representing one of the vertical alignment constants in `VerticalAlignEnum`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com